File: configure.in

package info (click to toggle)
gtimer 2.0.0-1.2
  • links: PTS
  • area: main
  • in suites: bullseye, buster, jessie, jessie-kfreebsd, sid, stretch
  • size: 1,380 kB
  • ctags: 849
  • sloc: ansic: 8,122; sh: 821; perl: 651; makefile: 86
file content (56 lines) | stat: -rw-r--r-- 1,466 bytes parent folder | download | duplicates (3)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
dnl Process this file with autoconf to produce a configure script.
AC_INIT(main.c)

dnl PACKAGE=gtimer
dnl VERSION=1.1.1
dnl AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE")
dnl AC_DEFINE_UNQUOTED(VERSION, "$VERSION")
dnl AC_SUBST(PACKAGE)
dnl AC_SUBST(VERSION)

AM_INIT_AUTOMAKE(gtimer,1.1.2)

dnl Checks for programs.
AC_PROG_CC

dnl Checks for header files.
dnl AC_HEADER_STDC
AC_CHECK_HEADERS(fcntl.h sys/time.h sys/types unistd.h string.h libintl.h)

dnl ALL_LINGUAS="fr"
dnl ud_GNU_GETTEXT
dnl AC_LINK_FILES($nls_cv_header_libgt, $nls_cv_header_intl)

AM_PATH_GTK(1.0.0,,AC_MSG_ERROR(No GTK found. Set the path right or install it.))

if test "x$GTK_MAJOR_VERSION" = "x1" -a "x$GTK_MAJOR_VERSION" = "x0"; then
  echo "Configure found an old version of GTK. While gtimer will still work fine,"
  echo "it would be best to upgrade it."
  AC_DEFINE(GTK_VERSION_10)
fi

dnl ScreenSaver extension support
ssext=yes
AC_ARG_ENABLE(shm,
[  --disable-ssext           disable usage of ScreenSaver extension],
                ssext=$enableval, ssext=yes)

if test "$ssext" = yes; then
  AC_CHECK_LIB(Xss, XScreenSaverQueryInfo, [GTK_LIBS="-lXss -lXext $GTK_LIBS"
    ok=yes
    AC_DEFINE(HAVE_SCREEN_SAVER_EXT)], ok=no, $GTK_LIBS)
fi


UILIBS=$GTK_LIBS
UIFLAGS="$GTK_CFLAGS $GTK_VERSION_FLAGS"

AC_SUBST(UILIBS)
AC_SUBST(UIFLAGS)

AC_OUTPUT(Makefile)

dnl AC_OUTPUT([Makefile intl/Makefile po/Makefile.in],

dnl [sed -e "/POTFILES =/r po/POTFILES" po/Makefile.in > po/Makefile])